AWorld Lab API Reference
API ReferenceApp API (Consumer)
Dashboard API (Admin)
API ReferenceApp API (Consumer)
Dashboard API (Admin)
  1. Slides
  • ActivityLogs
    • Create activity log
    • List activity logs
    • Get activity log
  • Analytics
    • Get community metrics
  • Badges
    • List badge configurations
    • List badges
    • Get badge
    • List badge configuration tag assignments
    • Get badge configuration translation
    • Get badge configuration tag assignment
  • LearningGroups
    • List learning groups
    • Get learning group
    • List learning group items
    • List learning group tag assignments
    • Get learning group translation
    • Get learning group tag assignment
  • LearningPathAssignments
    • List learning path assignments
    • Get learning path assignment
    • Get current attempt
    • List learning path assignment items
    • Retry learning path assignment
    • List learning path assignment tags
    • Get learning path assignment translation
    • Get learning path assignment tag
  • Missions
    • List missions
    • Get mission
  • Quizzes
    • List quizzes
    • Get quiz
    • Submit quiz answer
    • List quiz tag assignments
    • Get quiz translation
    • Get quiz tag assignment
  • RuntimeLeaderboards
    • List runtime leaderboards
    • Get runtime leaderboard
    • Get leaderboard rankings
    • Get my ranking
  • Slides
    • List slides
      GET
    • Get slide
      GET
    • Submit slide progress
      POST
    • List slide tag assignments
      GET
    • Get slide translation
      GET
    • Get slide tag assignment
      GET
  • Streaks
    • List streaks
  • Users
    • Get current user
    • Update current user
    • Delete current user
    • List current user learning group logs
    • Get current user permissions
    • Get current user principal
    • Get current user referral code
    • Get current user stats
    • List current user tag assignments
    • Get current user tag assignment
  • VirtualBalances
    • List virtual balances
    • Get virtual balance
  • VirtualTransactions
    • List virtual transactions
    • Create virtual transaction
    • Get virtual transaction
    • Redeem virtual transaction
  • WorkspaceCodes
    • Redeem a workspace code
  • WorkspaceConfigurations
    • Get workspace configuration
  • Surveys
    • Get survey
    • Get survey progress
    • Submit survey answers
  • Schemas
    • CommunityMetricsResponse
    • CreateActivityResponse
    • CreateVirtualTransactionResponse
    • CurrentAttemptResponse
    • DeleteCurrentUserResponse
    • GetActivityLogResponse
    • GetBadgeConfigurationTagResponse
    • GetAppSurveyResponse
    • GetBadgeConfigurationTranslationResponse
    • GetBadgeResponse
    • GetCurrentUserPrincipalResponse
    • GetCurrentUserPermissionsResponse
    • GetCurrentUserReferralCodeResponse
    • GetCurrentUserResponse
    • GetCurrentUserStatsResponse
    • GetCurrentUserTagResponse
    • GetLearningGroupResponse
    • GetLearningGroupTagAssignmentResponse
    • GetLearningGroupTranslationResponse
    • GetLearningPathAssignmentResponse
    • GetLearningPathAssignmentTagResponse
    • GetLearningPathAssignmentTranslationResponse
    • GetMissionResponse
    • GetQuizResponse
    • GetQuizTagResponse
    • GetQuizTranslationResponse
    • GetRuntimeLeaderboardRankingsMeResponse
    • GetRuntimeLeaderboardRankingsResponse
    • GetRuntimeLeaderboardResponse
    • GetSlideResponse
    • GetSlideTagResponse
    • GetSlideTranslationResponse
    • GetVirtualBalanceResponse
    • GetVirtualTransactionResponse
    • GetWorkspaceConfigurationResponse
    • GetSurveyProgressResponse
    • JsonLogicExpression
    • Lang
    • ListActivityLogsResponse
    • ListBadgeConfigurationsResponse
    • ListBadgeConfigurationTagAssignmentsResponse
    • ListBadgesResponse
    • ListCurrentUserLearningGroupLogsResponse
    • ListCurrentUserTagAssignmentsResponse
    • ListLearningGroupItemsResponse
    • ListLearningGroupsResponse
    • ListLearningGroupTagAssignmentsResponse
    • ListLearningPathAssignmentItemsResponse
    • ListLearningPathAssignmentsResponse
    • ListLearningPathAssignmentTagsResponse
    • ListMissionsResponse
    • ListQuizTagAssignmentsResponse
    • ListQuizzesResponse
    • ListRuntimeLeaderboardsResponse
    • ListSlidesResponse
    • ListSlideTagAssignmentsResponse
    • ListStreaksResponse
    • ListVirtualBalancesResponse
    • ListVirtualTransactionsResponse
    • RedeemVirtualTransactionResponse
    • RedeemWorkspaceCodeResponse
    • RetryLearningPathAssignmentResponse
    • SourceRegion
    • SubmitQuizResponse
    • SubmitSlideResponse
    • Timezone
    • UpdateCurrentUserResponse
    • SubmitSurveyResponse
  1. Slides

Get slide

GET
/slides/{slideId}
Slides
Retrieve a specific slide by ID, with optional additional fields (translation, tags, style, progress).

Request

Path Params

Query Params

Responses

🟢200OK
application/json
Slide retrieved successfully
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/slides/?context&fields'
Response Response Example
{
    "slideId": "string",
    "origin": "CATALOG",
    "catalogWorkspaceId": "stringstri",
    "catalogSlideId": "string",
    "defaultLang": "en",
    "langs": [
        "en"
    ],
    "defaultLayoutId": "string",
    "background": "string",
    "textColor": "string",
    "boxColor": "string",
    "backgroundImage": "http://example.com",
    "backgroundSize": "cover",
    "backgroundPosition": "center",
    "fontFamily": "string",
    "contentJustify": "start",
    "parentId": "string",
    "parentType": "learningPath",
    "tags": [
        {
            "tagId": "string",
            "priority": 0,
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ],
    "translation": {
        "workspaceId": "stringstri",
        "slideId": "string",
        "lang": "en",
        "title": "string",
        "image": "http://example.com",
        "content": {
            "contents": [
                {
                    "type": "slide",
                    "text": "string",
                    "media": {
                        "type": "decor",
                        "url": "http://example.com",
                        "metadata": {
                            "prompt": "string",
                            "style": "string"
                        }
                    }
                }
            ]
        },
        "accountId": "stringstri",
        "sourceRegion": "us-east-1",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    },
    "progress": {
        "status": "NOT_STARTED",
        "startedAt": "string",
        "completedAt": "string"
    },
    "computedStyle": {
        "background": "string",
        "textColor": "string",
        "boxColor": "string",
        "backgroundImage": "http://example.com",
        "backgroundSize": "cover",
        "backgroundPosition": "center",
        "fontFamily": "string",
        "contentJustify": "start"
    }
}
Modified at 2026-04-02 15:44:17
Previous
List slides
Next
Submit slide progress
Built with